<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: Class Hierarchy</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li class="current"><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('hierarchy.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Class Hierarchy</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock">This inheritance list is sorted roughly, but not completely, alphabetically:</div><div class="directory">
<div class="levels">[detail level <span onclick="javascript:toggleLevel(1);">1</span><span onclick="javascript:toggleLevel(2);">2</span><span onclick="javascript:toggleLevel(3);">3</span><span onclick="javascript:toggleLevel(4);">4</span><span onclick="javascript:toggleLevel(5);">5</span>]</div><table class="directory">
<tr id="row_0_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1cvmatrix__descriptor.html" target="_self">flair::core::cvmatrix_descriptor</a></td><td class="desc">Class describing cvmatrix elements, for log and graphs purpose </td></tr>
<tr id="row_1_"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_1_" class="arrow" onclick="toggleFolder('1_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_data_type.html" target="_self">flair::core::DataType</a></td><td class="desc"></td></tr>
<tr id="row_1_0_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_ahrs_data_1_1_type.html" target="_self">flair::core::AhrsData::Type</a></td><td class="desc"></td></tr>
<tr id="row_1_1_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1cvimage_1_1_type.html" target="_self">flair::core::cvimage::Type</a></td><td class="desc"></td></tr>
<tr id="row_1_2_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1cvmatrix_1_1_type.html" target="_self">flair::core::cvmatrix::Type</a></td><td class="desc"></td></tr>
<tr id="row_1_3_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_dummy_type.html" target="_self">flair::core::DummyType</a></td><td class="desc"></td></tr>
<tr id="row_1_4_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_geo_coordinate_1_1_type.html" target="_self">flair::core::GeoCoordinate::Type</a></td><td class="desc"></td></tr>
<tr id="row_1_5_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_gps_data_1_1_type.html" target="_self">flair::core::GpsData::Type</a></td><td class="desc"></td></tr>
<tr id="row_1_6_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_imu_data_1_1_type.html" target="_self">flair::core::ImuData::Type</a></td><td class="desc"></td></tr>
<tr id="row_1_7_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_matrix_1_1_type.html" target="_self">flair::core::Matrix::Type</a></td><td class="desc"></td></tr>
<tr id="row_1_8_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_1_8_" class="arrow" onclick="toggleFolder('1_8_')">&#9658;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_scalar_type.html" target="_self">flair::core::ScalarType</a></td><td class="desc"></td></tr>
<tr id="row_1_8_0_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_double_type.html" target="_self">flair::core::DoubleType</a></td><td class="desc"></td></tr>
<tr id="row_1_8_1_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_float_type.html" target="_self">flair::core::FloatType</a></td><td class="desc"></td></tr>
<tr id="row_1_8_2_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_signed_integer_type.html" target="_self">flair::core::SignedIntegerType</a></td><td class="desc"></td></tr>
<tr id="row_1_8_3_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_unsigned_integer_type.html" target="_self">flair::core::UnsignedIntegerType</a></td><td class="desc"></td></tr>
<tr id="row_2_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1simulator_1_1_discrete_time_variable.html" target="_self">flair::simulator::DiscreteTimeVariable&lt; T, size &gt;</a></td><td class="desc"></td></tr>
<tr id="row_3_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1simulator_1_1_discrete_time_variable.html" target="_self">flair::simulator::DiscreteTimeVariable&lt; flair::simulator::Model::simu_state, 3 &gt;</a></td><td class="desc"></td></tr>
<tr id="row_4_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_euler.html" target="_self">flair::core::Euler</a></td><td class="desc">Class defining euler angles </td></tr>
<tr id="row_5_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_5_" class="arrow" onclick="toggleFolder('5_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><b>IMeshSceneNode</b></td><td class="desc"></td></tr>
<tr id="row_5_0_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1simulator_1_1_mesh_scene_node.html" target="_self">flair::simulator::MeshSceneNode</a></td><td class="desc"></td></tr>
<tr id="row_6_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_6_" class="arrow" onclick="toggleFolder('6_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><b>ISceneNode</b></td><td class="desc"></td></tr>
<tr id="row_6_0_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1simulator_1_1_blade.html" target="_self">flair::simulator::Blade</a></td><td class="desc"></td></tr>
<tr id="row_7_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_7_" class="arrow" onclick="toggleFolder('7_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><b>ISceneNodeAnimator</b></td><td class="desc"></td></tr>
<tr id="row_7_0_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_simu_camera_g_l.html" target="_self">flair::sensor::SimuCameraGL</a></td><td class="desc">Class for a simulation camera </td></tr>
<tr id="row_7_1_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_7_1_" class="arrow" onclick="toggleFolder('7_1_')">&#9658;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1simulator_1_1_visualization_camera.html" target="_self">flair::simulator::VisualizationCamera</a></td><td class="desc"></td></tr>
<tr id="row_7_1_0_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1simulator_1_1_fixed_camera.html" target="_self">flair::simulator::FixedCamera</a></td><td class="desc"></td></tr>
<tr id="row_8_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1gui_1_1_layout_position.html" target="_self">flair::gui::LayoutPosition</a></td><td class="desc">Class to define a position in a layout on the ground station </td></tr>
<tr id="row_9_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_9_" class="arrow" onclick="toggleFolder('9_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_message.html" target="_self">flair::core::Message</a></td><td class="desc"></td></tr>
<tr id="row_9_0_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_flash_led_message.html" target="_self">flair::sensor::FlashLedMessage</a></td><td class="desc"></td></tr>
<tr id="row_9_1_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_rumble_message.html" target="_self">flair::sensor::RumbleMessage</a></td><td class="desc"></td></tr>
<tr id="row_9_2_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_switch_led_message.html" target="_self">flair::sensor::SwitchLedMessage</a></td><td class="desc"></td></tr>
<tr id="row_10_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_10_" class="arrow" onclick="toggleFolder('10_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_object.html" target="_self">flair::core::Object</a></td><td class="desc">Base class for all Framework's classes </td></tr>
<tr id="row_10_0_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_10_0_" class="arrow" onclick="toggleFolder('10_0_')">&#9658;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_connected_socket.html" target="_self">flair::core::ConnectedSocket</a></td><td class="desc">Interface class encapsulating a connected socket. Preserves packets order and guaranty delivery </td></tr>
<tr id="row_10_0_0_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_tcp_socket.html" target="_self">flair::core::TcpSocket</a></td><td class="desc">Class encapsulating a TCP socket </td></tr>
<tr id="row_10_0_1_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_udt_socket.html" target="_self">flair::core::UdtSocket</a></td><td class="desc">Class encapsulating a UDT socket </td></tr>
<tr id="row_10_1_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_10_1_" class="arrow" onclick="toggleFolder('10_1_')">&#9658;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_framework_manager.html" target="_self">flair::core::FrameworkManager</a></td><td class="desc">Main class of the Framework library </td></tr>
<tr id="row_10_1_0_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1simulator_1_1_simulator.html" target="_self">flair::simulator::Simulator</a></td><td class="desc"></td></tr>
<tr id="row_10_2_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_i_o_data_element.html" target="_self">flair::core::IODataElement</a></td><td class="desc">Abstract class for accessing an element of an <a class="el" href="classflair_1_1core_1_1io__data.html" title="Abstract class for data types. ">io_data</a> </td></tr>
<tr id="row_10_3_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_10_3_" class="arrow" onclick="toggleFolder('10_3_')">&#9658;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_i_o_device.html" target="_self">flair::core::IODevice</a></td><td class="desc">Abstract class for input/ouput system </td></tr>
<tr id="row_10_3_0_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1actuator_1_1_bl_ctrl_v2__x4__speed.html" target="_self">flair::actuator::BlCtrlV2_x4_speed</a></td><td class="desc"></td></tr>
<tr id="row_10_3_1_" style="display:none;"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_10_3_1_" class="arrow" onclick="toggleFolder('10_3_1_')">&#9658;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1actuator_1_1_bldc.html" target="_self">flair::actuator::Bldc</a></td><td class="desc">Base class for brushless motors drivers </td></tr>
<tr id="row_10_3_1_0_" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1actuator_1_1_afro_bldc.html" target="_self">flair::actuator::AfroBldc</a></td><td class="desc">Class for Mikrokopter's blctrlv2 </td></tr>
<tr id="row_10_3_1_1_" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1actuator_1_1_bl_ctrl_v2.html" target="_self">flair::actuator::BlCtrlV2</a></td><td class="desc">Class for Mikrokopter's blctrlv2 </td></tr>
<tr id="row_10_3_1_2_" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1actuator_1_1_simulated_bldc.html" target="_self">flair::actuator::SimulatedBldc</a></td><td class="desc">Class for a simulation bldc </td></tr>
<tr id="row_10_3_1_3_" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1actuator_1_1_x_bldc.html" target="_self">flair::actuator::XBldc</a></td><td class="desc">Class for Xufo <a class="el" href="classflair_1_1actuator_1_1_bldc.html" title="Base class for brushless motors drivers. ">Bldc</a> </td></tr>
<tr id="row_10_3_2_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1actuator_1_1_simu_bldc.html" target="_self">flair::actuator::SimuBldc</a></td><td class="desc">Class for a simulation bldc </td></tr>
<tr id="row_10_3_3_" style="display:none;"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_10_3_3_" class="arrow" onclick="toggleFolder('10_3_3_')">&#9658;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1filter_1_1_ahrs.html" target="_self">flair::filter::Ahrs</a></td><td class="desc">Abstract class for AHRS </td></tr>
<tr id="row_10_3_3_0_" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1filter_1_1_ahrs_complementary_filter.html" target="_self">flair::filter::AhrsComplementaryFilter</a></td><td class="desc">Class defining an <a class="el" href="classflair_1_1filter_1_1_ahrs.html" title="Abstract class for AHRS. ">Ahrs</a> complementary filter </td></tr>
<tr id="row_10_3_3_1_" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1filter_1_1_ahrs_kalman.html" target="_self">flair::filter::AhrsKalman</a></td><td class="desc">Class defining an <a class="el" href="classflair_1_1filter_1_1_ahrs.html" title="Abstract class for AHRS. ">Ahrs</a> Kalman filter </td></tr>
<tr id="row_10_3_3_2_" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1filter_1_1_gx3__25__ahrs.html" target="_self">flair::filter::Gx3_25_ahrs</a></td><td class="desc">Class for 3dmgx3-25 ahrs </td></tr>
<tr id="row_10_3_3_3_" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1filter_1_1_simulated_ahrs.html" target="_self">flair::filter::SimulatedAhrs</a></td><td class="desc">Class for a simulation <a class="el" href="classflair_1_1filter_1_1_ahrs.html" title="Abstract class for AHRS. ">Ahrs</a> </td></tr>
<tr id="row_10_3_4_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1filter_1_1_butterworth_low_pass.html" target="_self">flair::filter::ButterworthLowPass</a></td><td class="desc">Class defining a Butterworth low pass filter </td></tr>
<tr id="row_10_3_5_" style="display:none;"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_10_3_5_" class="arrow" onclick="toggleFolder('10_3_5_')">&#9658;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1filter_1_1_control_law.html" target="_self">flair::filter::ControlLaw</a></td><td class="desc">Base class for control law input must be created by reimplemented class.<br />
output is created by this class, it is of size (nb_out,1) and type float.<br />
see constructor for nb_out </td></tr>
<tr id="row_10_3_5_0_" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1filter_1_1_nested_sat.html" target="_self">flair::filter::NestedSat</a></td><td class="desc">Class defining a PID with saturations </td></tr>
<tr id="row_10_3_5_1_" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1filter_1_1_pid.html" target="_self">flair::filter::Pid</a></td><td class="desc">Class defining a PID </td></tr>
<tr id="row_10_3_5_2_" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1filter_1_1_pid_thrust.html" target="_self">flair::filter::PidThrust</a></td><td class="desc">Class defining a <a class="el" href="classflair_1_1filter_1_1_pid.html" title="Class defining a PID. ">Pid</a> for Thrust.<br />
This <a class="el" href="classflair_1_1filter_1_1_pid.html" title="Class defining a PID. ">Pid</a> as an extra offset for compensating gravity </td></tr>
<tr id="row_10_3_6_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1filter_1_1_euler_derivative.html" target="_self">flair::filter::EulerDerivative</a></td><td class="desc">Class defining an euler derivative </td></tr>
<tr id="row_10_3_7_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1filter_1_1_joy_reference.html" target="_self">flair::filter::JoyReference</a></td><td class="desc">Class creating references from a joystick </td></tr>
<tr id="row_10_3_8_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1filter_1_1_low_pass_filter.html" target="_self">flair::filter::LowPassFilter</a></td><td class="desc">Class defining a first order low pass filter </td></tr>
<tr id="row_10_3_9_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1filter_1_1_trajectory_generator1_d.html" target="_self">flair::filter::TrajectoryGenerator1D</a></td><td class="desc">Class generating a trajectory in 1D </td></tr>
<tr id="row_10_3_10_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1filter_1_1_trajectory_generator2_d_circle.html" target="_self">flair::filter::TrajectoryGenerator2DCircle</a></td><td class="desc">Class generating a circle trajectory in 2D </td></tr>
<tr id="row_10_3_11_" style="display:none;"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_10_3_11_" class="arrow" onclick="toggleFolder('10_3_11_')">&#9658;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1filter_1_1_uav_multiplex.html" target="_self">flair::filter::UavMultiplex</a></td><td class="desc">Class defining uav multiplexing </td></tr>
<tr id="row_10_3_11_0_" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1filter_1_1_x4_x8_multiplex.html" target="_self">flair::filter::X4X8Multiplex</a></td><td class="desc">Class defining X4 and X8 multiplexing </td></tr>
<tr id="row_10_3_12_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1meta_1_1_meta_dual_shock3.html" target="_self">flair::meta::MetaDualShock3</a></td><td class="desc">Classe intégrant la manette <a class="el" href="classflair_1_1meta_1_1_meta_dual_shock3.html" title="Classe intégrant la manette MetaDualShock3. ">MetaDualShock3</a> </td></tr>
<tr id="row_10_3_13_" style="display:none;"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_10_3_13_" class="arrow" onclick="toggleFolder('10_3_13_')">&#9658;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_camera.html" target="_self">flair::sensor::Camera</a></td><td class="desc">Base class for <a class="el" href="classflair_1_1sensor_1_1_camera.html" title="Base class for Camera. ">Camera</a> </td></tr>
<tr id="row_10_3_13_0_" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_simulated_camera.html" target="_self">flair::sensor::SimulatedCamera</a></td><td class="desc">Class for a simulation camera </td></tr>
<tr id="row_10_3_13_1_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span id="arr_10_3_13_1_" class="arrow" onclick="toggleFolder('10_3_13_1_')">&#9658;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_v4_l_camera.html" target="_self">flair::sensor::V4LCamera</a></td><td class="desc">Base class for V4l camera </td></tr>
<tr id="row_10_3_13_1_0_" style="display:none;"><td class="entry"><span style="width:80px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_ps3_eye.html" target="_self">flair::sensor::Ps3Eye</a></td><td class="desc">Class for <a class="el" href="classflair_1_1sensor_1_1_ps3_eye.html" title="Class for Ps3Eye camera. ">Ps3Eye</a> camera </td></tr>
<tr id="row_10_3_14_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_host_eth_controller.html" target="_self">flair::sensor::HostEthController</a></td><td class="desc">Base Class for host side remote controls that talks to target side through ethernet connection </td></tr>
<tr id="row_10_3_15_" style="display:none;"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_10_3_15_" class="arrow" onclick="toggleFolder('10_3_15_')">&#9658;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_imu.html" target="_self">flair::sensor::Imu</a></td><td class="desc">Base class for <a class="el" href="classflair_1_1sensor_1_1_imu.html" title="Base class for Imu. ">Imu</a> </td></tr>
<tr id="row_10_3_15_0_" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_gx3__25__imu.html" target="_self">flair::sensor::Gx3_25_imu</a></td><td class="desc">Class for 3dmgx3-25 <a class="el" href="classflair_1_1sensor_1_1_imu.html" title="Base class for Imu. ">Imu</a> </td></tr>
<tr id="row_10_3_15_1_" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_simulated_imu.html" target="_self">flair::sensor::SimulatedImu</a></td><td class="desc">Class for a simulation <a class="el" href="classflair_1_1sensor_1_1_imu.html" title="Base class for Imu. ">Imu</a> </td></tr>
<tr id="row_10_3_16_" style="display:none;"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_10_3_16_" class="arrow" onclick="toggleFolder('10_3_16_')">&#9658;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_laser_range_finder.html" target="_self">flair::sensor::LaserRangeFinder</a></td><td class="desc">Classe generique intégrant les telemetres laser </td></tr>
<tr id="row_10_3_16_0_" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_hokuyo_u_t_m30_lx.html" target="_self">flair::sensor::HokuyoUTM30Lx</a></td><td class="desc">Classe intégrant le telemetre laser Hokuyo UTM 30lx </td></tr>
<tr id="row_10_3_16_1_" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_simulated_laser.html" target="_self">flair::sensor::SimulatedLaser</a></td><td class="desc"></td></tr>
<tr id="row_10_3_17_" style="display:none;"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_10_3_17_" class="arrow" onclick="toggleFolder('10_3_17_')">&#9658;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_nmea_gps.html" target="_self">flair::sensor::NmeaGps</a></td><td class="desc">Base class for GPS using NMEA sentances </td></tr>
<tr id="row_10_3_17_0_" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_mb800.html" target="_self">flair::sensor::Mb800</a></td><td class="desc">Class for mb800 gps receiver </td></tr>
<tr id="row_10_3_17_1_" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_neo_m8_n.html" target="_self">flair::sensor::NeoM8N</a></td><td class="desc">Class for mb800 gps receiver </td></tr>
<tr id="row_10_3_17_2_" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_novatel.html" target="_self">flair::sensor::Novatel</a></td><td class="desc">Class for <a class="el" href="classflair_1_1sensor_1_1_novatel.html" title="Class for Novatel gps receiver. ">Novatel</a> gps receiver </td></tr>
<tr id="row_10_3_17_3_" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_simulated_gps.html" target="_self">flair::sensor::SimulatedGps</a></td><td class="desc">Class for a simulation GPS </td></tr>
<tr id="row_10_3_18_" style="display:none;"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_10_3_18_" class="arrow" onclick="toggleFolder('10_3_18_')">&#9658;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_pressure_sensor.html" target="_self">flair::sensor::PressureSensor</a></td><td class="desc">Base class for <a class="el" href="classflair_1_1sensor_1_1_pressure_sensor.html" title="Base class for PressureSensor. ">PressureSensor</a> </td></tr>
<tr id="row_10_3_18_0_" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_simulated_pressure_sensor.html" target="_self">flair::sensor::SimulatedPressureSensor</a></td><td class="desc">Class for a simulation <a class="el" href="classflair_1_1sensor_1_1_pressure_sensor.html" title="Base class for PressureSensor. ">PressureSensor</a> </td></tr>
<tr id="row_10_3_19_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_radio_receiver.html" target="_self">flair::sensor::RadioReceiver</a></td><td class="desc">Base class for radio receiver </td></tr>
<tr id="row_10_3_20_" style="display:none;"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_10_3_20_" class="arrow" onclick="toggleFolder('10_3_20_')">&#9658;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_simu_camera.html" target="_self">flair::sensor::SimuCamera</a></td><td class="desc">Class for a simulation camera </td></tr>
<tr id="row_10_3_20_0_" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_simu_camera_g_l.html" target="_self">flair::sensor::SimuCameraGL</a></td><td class="desc">Class for a simulation camera </td></tr>
<tr id="row_10_3_21_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_simu_gps.html" target="_self">flair::sensor::SimuGps</a></td><td class="desc">Class for a simulation GPS </td></tr>
<tr id="row_10_3_22_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_simu_imu.html" target="_self">flair::sensor::SimuImu</a></td><td class="desc">Class for a simulation <a class="el" href="classflair_1_1sensor_1_1_imu.html" title="Base class for Imu. ">Imu</a> </td></tr>
<tr id="row_10_3_23_" style="display:none;"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_10_3_23_" class="arrow" onclick="toggleFolder('10_3_23_')">&#9658;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_simu_laser.html" target="_self">flair::sensor::SimuLaser</a></td><td class="desc"></td></tr>
<tr id="row_10_3_23_0_" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_simu_laser_g_l.html" target="_self">flair::sensor::SimuLaserGL</a></td><td class="desc"></td></tr>
<tr id="row_10_3_24_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_simu_pressure_sensor.html" target="_self">flair::sensor::SimuPressureSensor</a></td><td class="desc">Class for a simulation <a class="el" href="classflair_1_1sensor_1_1_pressure_sensor.html" title="Base class for PressureSensor. ">PressureSensor</a> </td></tr>
<tr id="row_10_3_25_" style="display:none;"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_10_3_25_" class="arrow" onclick="toggleFolder('10_3_25_')">&#9658;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_simu_us.html" target="_self">flair::sensor::SimuUs</a></td><td class="desc">Class for a simulation <a class="el" href="classflair_1_1sensor_1_1_us_range_finder.html" title="Base class for UsRangeFinder. ">UsRangeFinder</a> </td></tr>
<tr id="row_10_3_25_0_" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_simu_us_g_l.html" target="_self">flair::sensor::SimuUsGL</a></td><td class="desc">Class for a simulation us </td></tr>
<tr id="row_10_3_26_" style="display:none;"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_10_3_26_" class="arrow" onclick="toggleFolder('10_3_26_')">&#9658;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_target_controller.html" target="_self">flair::sensor::TargetController</a></td><td class="desc">Base Class for target side remote controls </td></tr>
<tr id="row_10_3_26_0_" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_emulated_controller.html" target="_self">flair::sensor::EmulatedController</a></td><td class="desc">Emulated remote control </td></tr>
<tr id="row_10_3_26_1_" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_target_eth_controller.html" target="_self">flair::sensor::TargetEthController</a></td><td class="desc"></td></tr>
<tr id="row_10_3_27_" style="display:none;"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_10_3_27_" class="arrow" onclick="toggleFolder('10_3_27_')">&#9658;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_us_range_finder.html" target="_self">flair::sensor::UsRangeFinder</a></td><td class="desc">Base class for <a class="el" href="classflair_1_1sensor_1_1_us_range_finder.html" title="Base class for UsRangeFinder. ">UsRangeFinder</a> </td></tr>
<tr id="row_10_3_27_0_" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_simulated_us.html" target="_self">flair::sensor::SimulatedUs</a></td><td class="desc">Class for a simulation <a class="el" href="classflair_1_1sensor_1_1_us_range_finder.html" title="Base class for UsRangeFinder. ">UsRangeFinder</a> </td></tr>
<tr id="row_10_3_27_1_" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_srf08.html" target="_self">flair::sensor::Srf08</a></td><td class="desc">Class for ultra sonic SRF08 </td></tr>
<tr id="row_10_3_28_" style="display:none;"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_10_3_28_" class="arrow" onclick="toggleFolder('10_3_28_')">&#9658;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_vrpn_object.html" target="_self">flair::sensor::VrpnObject</a></td><td class="desc">Class for VRPN object. The IODevice is created with the <a class="el" href="classflair_1_1sensor_1_1_vrpn_client.html" title="Class to connect to a Vrpn server. The Thread is created with the FrameworkManager as parent...">VrpnClient</a> as parent. <a class="el" href="classflair_1_1sensor_1_1_vrpn_client.html" title="Class to connect to a Vrpn server. The Thread is created with the FrameworkManager as parent...">VrpnClient</a> must be created before </td></tr>
<tr id="row_10_3_28_0_" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1meta_1_1_meta_vrpn_object.html" target="_self">flair::meta::MetaVrpnObject</a></td><td class="desc">Classe haut niveau intégrant un objet VRPN </td></tr>
<tr id="row_10_3_29_" style="display:none;"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_10_3_29_" class="arrow" onclick="toggleFolder('10_3_29_')">&#9658;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1simulator_1_1_model.html" target="_self">flair::simulator::Model</a></td><td class="desc"></td></tr>
<tr id="row_10_3_29_0_" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1simulator_1_1_man.html" target="_self">flair::simulator::Man</a></td><td class="desc"></td></tr>
<tr id="row_10_3_29_1_" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1simulator_1_1_x4.html" target="_self">flair::simulator::X4</a></td><td class="desc"></td></tr>
<tr id="row_10_3_29_2_" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1simulator_1_1_x8.html" target="_self">flair::simulator::X8</a></td><td class="desc"></td></tr>
<tr id="row_10_4_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_10_4_" class="arrow" onclick="toggleFolder('10_4_')">&#9658;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_mutex.html" target="_self">flair::core::Mutex</a></td><td class="desc">Class defining a mutex </td></tr>
<tr id="row_10_4_0_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_condition_variable.html" target="_self">flair::core::ConditionVariable</a></td><td class="desc">Class defining a condition variable </td></tr>
<tr id="row_10_4_1_" class="even" style="display:none;"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_10_4_1_" class="arrow" onclick="toggleFolder('10_4_1_')">&#9658;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_i2c_port.html" target="_self">flair::core::I2cPort</a></td><td class="desc">Base class for i2c port </td></tr>
<tr id="row_10_4_1_0_" class="even" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_r_t_d_m___i2c_port.html" target="_self">flair::core::RTDM_I2cPort</a></td><td class="desc">Class for real time i2c port using RTDM </td></tr>
<tr id="row_10_4_1_1_" class="even" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_unix___i2c_port.html" target="_self">flair::core::Unix_I2cPort</a></td><td class="desc">Class for unix serial port </td></tr>
<tr id="row_10_4_2_" class="even" style="display:none;"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_10_4_2_" class="arrow" onclick="toggleFolder('10_4_2_')">&#9658;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1io__data.html" target="_self">flair::core::io_data</a></td><td class="desc">Abstract class for data types </td></tr>
<tr id="row_10_4_2_0_" class="even" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_ahrs_data.html" target="_self">flair::core::AhrsData</a></td><td class="desc">Class defining AHRS datas </td></tr>
<tr id="row_10_4_2_1_" class="even" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1cvimage.html" target="_self">flair::core::cvimage</a></td><td class="desc">Class defining an image of kind IplImage </td></tr>
<tr id="row_10_4_2_2_" class="even" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1cvmatrix.html" target="_self">flair::core::cvmatrix</a></td><td class="desc">Class defining a matrix of kind CvMat </td></tr>
<tr id="row_10_4_2_3_" class="even" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_geo_coordinate.html" target="_self">flair::core::GeoCoordinate</a></td><td class="desc">Class defining a point by its lla coordinates </td></tr>
<tr id="row_10_4_2_4_" class="even" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_gps_data.html" target="_self">flair::core::GpsData</a></td><td class="desc">Class defining gps datas </td></tr>
<tr id="row_10_4_2_5_" class="even" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_imu_data.html" target="_self">flair::core::ImuData</a></td><td class="desc">Class defining IMU datas </td></tr>
<tr id="row_10_4_2_6_" class="even" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_matrix.html" target="_self">flair::core::Matrix</a></td><td class="desc">Class defining a matrix </td></tr>
<tr id="row_10_4_2_7_" class="even" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_vector3_ddata.html" target="_self">flair::core::Vector3Ddata</a></td><td class="desc">Class defining a 3D vector and a <a class="el" href="classflair_1_1core_1_1io__data.html" title="Abstract class for data types. ">io_data</a> User must manually use the <a class="el" href="classflair_1_1core_1_1io__data.html" title="Abstract class for data types. ">io_data</a>'s <a class="el" href="classflair_1_1core_1_1_mutex.html" title="Class defining a mutex. ">Mutex</a> to access to <a class="el" href="classflair_1_1core_1_1_vector3_d.html" title="Class defining a 3D vector. ">Vector3D</a> values </td></tr>
<tr id="row_10_5_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_semaphore.html" target="_self">flair::core::Semaphore</a></td><td class="desc">Class defining a semaphore </td></tr>
<tr id="row_10_6_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_10_6_" class="arrow" onclick="toggleFolder('10_6_')">&#9658;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_serial_port.html" target="_self">flair::core::SerialPort</a></td><td class="desc">Base class for serial port </td></tr>
<tr id="row_10_6_0_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_r_t_d_m___serial_port.html" target="_self">flair::core::RTDM_SerialPort</a></td><td class="desc">Class for real time serial port using RTDM </td></tr>
<tr id="row_10_6_1_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_unix___serial_port.html" target="_self">flair::core::Unix_SerialPort</a></td><td class="desc"></td></tr>
<tr id="row_10_7_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_shared_mem.html" target="_self">flair::core::SharedMem</a></td><td class="desc">Class defining a shared memory </td></tr>
<tr id="row_10_8_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_10_8_" class="arrow" onclick="toggleFolder('10_8_')">&#9658;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_thread.html" target="_self">flair::core::Thread</a></td><td class="desc">Abstract class for a thread </td></tr>
<tr id="row_10_8_0_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1actuator_1_1_bl_ctrl_v2__x4__speed.html" target="_self">flair::actuator::BlCtrlV2_x4_speed</a></td><td class="desc"></td></tr>
<tr id="row_10_8_1_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_watchdog.html" target="_self">flair::core::Watchdog</a></td><td class="desc"><a class="el" href="classflair_1_1core_1_1_watchdog.html" title="Watchdog class. ">Watchdog</a> class </td></tr>
<tr id="row_10_8_2_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1meta_1_1_uav_state_machine.html" target="_self">flair::meta::UavStateMachine</a></td><td class="desc">State machine for UAV The Thread is created with the FrameworkManager as parent. FrameworkManager must be created before. The Thread is synchronized with Ahrs, unless a period is set with SetPeriodUS or SetPeriodMS </td></tr>
<tr id="row_10_8_3_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_gx3__25__imu.html" target="_self">flair::sensor::Gx3_25_imu</a></td><td class="desc">Class for 3dmgx3-25 <a class="el" href="classflair_1_1sensor_1_1_imu.html" title="Base class for Imu. ">Imu</a> </td></tr>
<tr id="row_10_8_4_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_hokuyo_u_t_m30_lx.html" target="_self">flair::sensor::HokuyoUTM30Lx</a></td><td class="desc">Classe intégrant le telemetre laser Hokuyo UTM 30lx </td></tr>
<tr id="row_10_8_5_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_host_eth_controller.html" target="_self">flair::sensor::HostEthController</a></td><td class="desc">Base Class for host side remote controls that talks to target side through ethernet connection </td></tr>
<tr id="row_10_8_6_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_mb800.html" target="_self">flair::sensor::Mb800</a></td><td class="desc">Class for mb800 gps receiver </td></tr>
<tr id="row_10_8_7_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_neo_m8_n.html" target="_self">flair::sensor::NeoM8N</a></td><td class="desc">Class for mb800 gps receiver </td></tr>
<tr id="row_10_8_8_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_novatel.html" target="_self">flair::sensor::Novatel</a></td><td class="desc">Class for <a class="el" href="classflair_1_1sensor_1_1_novatel.html" title="Class for Novatel gps receiver. ">Novatel</a> gps receiver </td></tr>
<tr id="row_10_8_9_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_simulated_camera.html" target="_self">flair::sensor::SimulatedCamera</a></td><td class="desc">Class for a simulation camera </td></tr>
<tr id="row_10_8_10_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_simulated_gps.html" target="_self">flair::sensor::SimulatedGps</a></td><td class="desc">Class for a simulation GPS </td></tr>
<tr id="row_10_8_11_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_simulated_imu.html" target="_self">flair::sensor::SimulatedImu</a></td><td class="desc">Class for a simulation <a class="el" href="classflair_1_1sensor_1_1_imu.html" title="Base class for Imu. ">Imu</a> </td></tr>
<tr id="row_10_8_12_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_simulated_laser.html" target="_self">flair::sensor::SimulatedLaser</a></td><td class="desc"></td></tr>
<tr id="row_10_8_13_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_simulated_pressure_sensor.html" target="_self">flair::sensor::SimulatedPressureSensor</a></td><td class="desc">Class for a simulation <a class="el" href="classflair_1_1sensor_1_1_pressure_sensor.html" title="Base class for PressureSensor. ">PressureSensor</a> </td></tr>
<tr id="row_10_8_14_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_simulated_us.html" target="_self">flair::sensor::SimulatedUs</a></td><td class="desc">Class for a simulation <a class="el" href="classflair_1_1sensor_1_1_us_range_finder.html" title="Base class for UsRangeFinder. ">UsRangeFinder</a> </td></tr>
<tr id="row_10_8_15_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_srf08.html" target="_self">flair::sensor::Srf08</a></td><td class="desc">Class for ultra sonic SRF08 </td></tr>
<tr id="row_10_8_16_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_target_controller.html" target="_self">flair::sensor::TargetController</a></td><td class="desc">Base Class for target side remote controls </td></tr>
<tr id="row_10_8_17_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_v4_l_camera.html" target="_self">flair::sensor::V4LCamera</a></td><td class="desc">Base class for V4l camera </td></tr>
<tr id="row_10_8_18_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_vrpn_client.html" target="_self">flair::sensor::VrpnClient</a></td><td class="desc">Class to connect to a Vrpn server. The Thread is created with the FrameworkManager as parent. FrameworkManager must be created before. Only one instance of this class is allowed by program </td></tr>
<tr id="row_10_9_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_udp_socket.html" target="_self">flair::core::UdpSocket</a></td><td class="desc">Class encapsulating a UDP socket. It assumes packets are coming from only one distant host on a given port </td></tr>
<tr id="row_10_10_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_10_10_" class="arrow" onclick="toggleFolder('10_10_')">&#9658;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1gui_1_1_widget.html" target="_self">flair::gui::Widget</a></td><td class="desc">Abstract class for all Framework's widget classes </td></tr>
<tr id="row_10_10_0_" class="even" style="display:none;"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_10_10_0_" class="arrow" onclick="toggleFolder('10_10_0_')">&#9658;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1gui_1_1_box.html" target="_self">flair::gui::Box</a></td><td class="desc">Abstract class to display a box on the ground station </td></tr>
<tr id="row_10_10_0_0_" class="even" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1gui_1_1_check_box.html" target="_self">flair::gui::CheckBox</a></td><td class="desc">Class displaying a <a class="elRef" target="_blank" doxygen="/home/gsanahuj/igep/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qcheckbox.html">QCheckBox</a> on the ground station </td></tr>
<tr id="row_10_10_0_1_" class="even" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1gui_1_1_combo_box.html" target="_self">flair::gui::ComboBox</a></td><td class="desc">Class displaying a <a class="elRef" target="_blank" doxygen="/home/gsanahuj/igep/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qcombobox.html">QComboBox</a> on the ground station </td></tr>
<tr id="row_10_10_0_2_" class="even" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1gui_1_1_double_spin_box.html" target="_self">flair::gui::DoubleSpinBox</a></td><td class="desc">Class displaying a <a class="elRef" target="_blank" doxygen="/home/gsanahuj/igep/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qdoublespinbox.html">QDoubleSpinBox</a> on the ground station </td></tr>
<tr id="row_10_10_0_3_" class="even" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1gui_1_1_spin_box.html" target="_self">flair::gui::SpinBox</a></td><td class="desc">Class displaying a <a class="elRef" target="_blank" doxygen="/home/gsanahuj/igep/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qspinbox.html">QSpinBox</a> on the ground station </td></tr>
<tr id="row_10_10_0_4_" class="even" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1gui_1_1_vector3_d_spin_box.html" target="_self">flair::gui::Vector3DSpinBox</a></td><td class="desc">Class displaying 3 <a class="elRef" target="_blank" doxygen="/home/gsanahuj/igep/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qdoublespinbox.html">QDoubleSpinBox</a> for x,y,z on the ground station </td></tr>
<tr id="row_10_10_1_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1gui_1_1_label.html" target="_self">flair::gui::Label</a></td><td class="desc">Class displaying a <a class="elRef" target="_blank" doxygen="/home/gsanahuj/igep/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qlabel.html">QLabel</a> on the ground station </td></tr>
<tr id="row_10_10_2_" class="even" style="display:none;"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_10_10_2_" class="arrow" onclick="toggleFolder('10_10_2_')">&#9658;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1gui_1_1_layout.html" target="_self">flair::gui::Layout</a></td><td class="desc">Abstract class to display a layout on the ground station </td></tr>
<tr id="row_10_10_2_0_" class="even" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1gui_1_1_grid_layout.html" target="_self">flair::gui::GridLayout</a></td><td class="desc">Class displaying a <a class="elRef" target="_blank" doxygen="/home/gsanahuj/igep/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qgridlayout.html">QGridLayout</a> on the ground station </td></tr>
<tr id="row_10_10_2_1_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span id="arr_10_10_2_1_" class="arrow" onclick="toggleFolder('10_10_2_1_')">&#9658;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1gui_1_1_group_box.html" target="_self">flair::gui::GroupBox</a></td><td class="desc">Class displaying a <a class="elRef" target="_blank" doxygen="/home/gsanahuj/igep/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qgroupbox.html">QGroupBox</a> on the ground station </td></tr>
<tr id="row_10_10_2_1_0_" class="even" style="display:none;"><td class="entry"><span style="width:80px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_one_axis_rotation.html" target="_self">flair::core::OneAxisRotation</a></td><td class="desc">Class defining a rotation around one axis </td></tr>
<tr id="row_10_10_2_1_1_" class="even" style="display:none;"><td class="entry"><span style="width:80px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_battery_monitor.html" target="_self">flair::sensor::BatteryMonitor</a></td><td class="desc">Base class for battery monitor </td></tr>
<tr id="row_10_10_2_2_" class="even" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1gui_1_1_tab.html" target="_self">flair::gui::Tab</a></td><td class="desc">Class displaying a QTab on the ground station </td></tr>
<tr id="row_10_10_3_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1gui_1_1_list_widget.html" target="_self">flair::gui::ListWidget</a></td><td class="desc">Class displaying a <a class="elRef" target="_blank" doxygen="/home/gsanahuj/igep/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qlistwidget.html">QListWidget</a> on the ground station </td></tr>
<tr id="row_10_10_4_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1gui_1_1_push_button.html" target="_self">flair::gui::PushButton</a></td><td class="desc">Class displaying a <a class="elRef" target="_blank" doxygen="/home/gsanahuj/igep/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qpushbutton.html">QPushButton</a> on the ground station </td></tr>
<tr id="row_10_10_5_" class="even" style="display:none;"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_10_10_5_" class="arrow" onclick="toggleFolder('10_10_5_')">&#9658;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1gui_1_1_send_data.html" target="_self">flair::gui::SendData</a></td><td class="desc">Abstract class for sending datas to ground station </td></tr>
<tr id="row_10_10_5_0_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span id="arr_10_10_5_0_" class="arrow" onclick="toggleFolder('10_10_5_0_')">&#9658;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1gui_1_1_data_plot.html" target="_self">flair::gui::DataPlot</a></td><td class="desc">Abstract class to display plots on ground station </td></tr>
<tr id="row_10_10_5_0_0_" class="even" style="display:none;"><td class="entry"><span style="width:80px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1gui_1_1_data_plot1_d.html" target="_self">flair::gui::DataPlot1D</a></td><td class="desc">Class displaying a 1D plot on the ground station </td></tr>
<tr id="row_10_10_5_0_1_" class="even" style="display:none;"><td class="entry"><span style="width:80px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1gui_1_1_data_plot2_d.html" target="_self">flair::gui::DataPlot2D</a></td><td class="desc">Class displaying a 2D plot on the ground station </td></tr>
<tr id="row_10_10_5_0_2_" class="even" style="display:none;"><td class="entry"><span style="width:80px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1gui_1_1_us_sensor_plot.html" target="_self">flair::gui::UsSensorPlot</a></td><td class="desc">Class displaying a plot for raw us sensor </td></tr>
<tr id="row_10_10_5_1_" class="even" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1gui_1_1_map.html" target="_self">flair::gui::Map</a></td><td class="desc">Class displaying a GPS map on the ground station </td></tr>
<tr id="row_10_10_5_2_" class="even" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1gui_1_1_picture.html" target="_self">flair::gui::Picture</a></td><td class="desc">Class displaying a <a class="el" href="classflair_1_1gui_1_1_picture.html" title="Class displaying a Picture on the ground station. ">Picture</a> on the ground station </td></tr>
<tr id="row_10_10_5_3_" class="even" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1gui_1_1_range_finder_plot.html" target="_self">flair::gui::RangeFinderPlot</a></td><td class="desc">Class displaying a 2D plot on the ground station for laser range finder like Hokuyo </td></tr>
<tr id="row_10_10_6_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1gui_1_1_tab_widget.html" target="_self">flair::gui::TabWidget</a></td><td class="desc">Class displaying a <a class="elRef" target="_blank" doxygen="/home/gsanahuj/igep/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qtabwidget.html">QTabWidget</a> on the ground station </td></tr>
<tr id="row_10_10_7_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1gui_1_1_text_edit.html" target="_self">flair::gui::TextEdit</a></td><td class="desc">Class displaying a <a class="elRef" target="_blank" doxygen="/home/gsanahuj/igep/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qtextedit.html">QTextEdit</a> on the ground station </td></tr>
<tr id="row_10_11_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1meta_1_1_meta_us_range_finder.html" target="_self">flair::meta::MetaUsRangeFinder</a></td><td class="desc">Classe haut niveau pour capteur à ultra son </td></tr>
<tr id="row_10_12_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_10_12_" class="arrow" onclick="toggleFolder('10_12_')">&#9658;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1meta_1_1_uav.html" target="_self">flair::meta::Uav</a></td><td class="desc">Base class to construct sensors/actuators depending on uav type. The Object is created with the FrameworkManager as parent. FrameworkManager must be created before. Only one instance of this class is allowed by program </td></tr>
<tr id="row_10_12_0_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1meta_1_1_hds_x8.html" target="_self">flair::meta::HdsX8</a></td><td class="desc">Class defining a HDS X8 uav </td></tr>
<tr id="row_10_12_1_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1meta_1_1_simu_x4.html" target="_self">flair::meta::SimuX4</a></td><td class="desc">Class defining a simulation x4 uav </td></tr>
<tr id="row_10_12_2_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1meta_1_1_simu_x8.html" target="_self">flair::meta::SimuX8</a></td><td class="desc">Class defining a simulation x8 uav </td></tr>
<tr id="row_10_12_3_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1meta_1_1_x_air.html" target="_self">flair::meta::XAir</a></td><td class="desc">Class defining a xair uav </td></tr>
<tr id="row_10_13_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_10_13_" class="arrow" onclick="toggleFolder('10_13_')">&#9658;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1simulator_1_1_gui.html" target="_self">flair::simulator::Gui</a></td><td class="desc"></td></tr>
<tr id="row_10_13_0_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1simulator_1_1_castle.html" target="_self">flair::simulator::Castle</a></td><td class="desc"></td></tr>
<tr id="row_10_13_1_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1simulator_1_1_parser.html" target="_self">flair::simulator::Parser</a></td><td class="desc"></td></tr>
<tr id="row_11_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_quaternion.html" target="_self">flair::core::Quaternion</a></td><td class="desc">Class defining a quaternion </td></tr>
<tr id="row_12_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_rotation_matrix.html" target="_self">flair::core::RotationMatrix</a></td><td class="desc">Class defining a rotation matrix </td></tr>
<tr id="row_13_"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_13_" class="arrow" onclick="toggleFolder('13_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_sensor_g_l.html" target="_self">flair::sensor::SensorGL</a></td><td class="desc"></td></tr>
<tr id="row_13_0_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_simu_camera_g_l.html" target="_self">flair::sensor::SimuCameraGL</a></td><td class="desc">Class for a simulation camera </td></tr>
<tr id="row_13_1_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_simu_laser_g_l.html" target="_self">flair::sensor::SimuLaserGL</a></td><td class="desc"></td></tr>
<tr id="row_13_2_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_simu_us_g_l.html" target="_self">flair::sensor::SimuUsGL</a></td><td class="desc">Class for a simulation us </td></tr>
<tr id="row_14_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structflair_1_1simulator_1_1_model_1_1simu__state.html" target="_self">flair::simulator::Model::simu_state</a></td><td class="desc"></td></tr>
<tr id="row_15_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_vector2_d.html" target="_self">flair::core::Vector2D&lt; T &gt;</a></td><td class="desc">Class defining a 2D vector </td></tr>
<tr id="row_16_"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_16_" class="arrow" onclick="toggleFolder('16_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_vector3_d.html" target="_self">flair::core::Vector3D&lt; T &gt;</a></td><td class="desc">Class defining a 3D vector </td></tr>
<tr id="row_16_0_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_vector3_ddata.html" target="_self">flair::core::Vector3Ddata</a></td><td class="desc">Class defining a 3D vector and a <a class="el" href="classflair_1_1core_1_1io__data.html" title="Abstract class for data types. ">io_data</a> User must manually use the <a class="el" href="classflair_1_1core_1_1io__data.html" title="Abstract class for data types. ">io_data</a>'s <a class="el" href="classflair_1_1core_1_1_mutex.html" title="Class defining a mutex. ">Mutex</a> to access to <a class="el" href="classflair_1_1core_1_1_vector3_d.html" title="Class defining a 3D vector. ">Vector3D</a> values </td></tr>
<tr id="row_17_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_vector3_d.html" target="_self">flair::core::Vector3D&lt; double &gt;</a></td><td class="desc"></td></tr>
<tr id="row_18_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_vector3_d.html" target="_self">flair::core::Vector3D&lt; float &gt;</a></td><td class="desc"></td></tr>
</table>
</div><!-- directory -->
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:24 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
